Bug 130612 - Update audio/musicpd to 0.14
Summary: Update audio/musicpd to 0.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-16 09:20 UTC by Dylan Cochran
Modified: 2009-01-28 05:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.72 KB, patch)
2009-01-16 09:20 UTC, Dylan Cochran
no flags Details | Diff
musicpd.txt (2.83 KB, text/plain; charset=US-ASCII)
2009-01-26 17:54 UTC, Dylan Cochran
no flags Details
musicpd.txt (2.83 KB, text/plain; charset=US-ASCII)
2009-01-26 23:51 UTC, Dylan Cochran
no flags Details
musicpd.txt (2.95 KB, text/plain; charset=US-ASCII)
2009-01-27 20:09 UTC, Dylan Cochran
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dylan Cochran 2009-01-16 09:20:06 UTC
Update to 0.14, add LAME knob, to allow the support for mp3 icecast/shoutcast output streams.

Fix: N/A

Patch attached with submission follows:
How-To-Repeat: N/A
Comment 1 Martin Wilke freebsd_committer 2009-01-16 09:26:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-01-17 11:22:31 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 3 Martin Wilke freebsd_committer 2009-01-18 11:41:16 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

back to pool
Comment 4 Edwin Groothuis freebsd_committer 2009-01-24 04:31:13 UTC
Maintainer of audio/musicpd,

Please note that PR ports/130612 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/130612

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 5 Dylan Cochran 2009-01-26 17:54:05 UTC
On 1/17/09, miwi@freebsd.org <miwi@freebsd.org> wrote:
> Synopsis: Update musicpd to 0.14
>
> State-Changed-From-To: open->feedback
> State-Changed-By: miwi
> State-Changed-When: Sat Jan 17 11:22:31 UTC 2009
> State-Changed-Why:
> Ask for maintainer approval.
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=130612
>

Fix a bug in the port, as musicpd now depends on glib and
gnome-config; also bump the version up to 1.14.1 which fixes several
stream bugs.
Comment 6 Jan-Olof Lindqvist 2009-01-26 18:48:26 UTC
Looks OK, haven't got time to test it now.

2009/1/24 Edwin Groothuis <edwin@freebsd.org>:
> Maintainer of audio/musicpd,
>
> Please note that PR ports/130612 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/130612
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2009-01-26 23:24:30 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 8 Dylan Cochran 2009-01-26 23:51:28 UTC
> Fix a bug in the port, as musicpd now depends on glib and
> gnome-config; also bump the version up to 1.14.1 which fixes several
> stream bugs.
>

Round 2. the web pr interface's version of the attached patch was very
wrong. Sending again just in case
Comment 9 Philip M. Gollucci freebsd_committer 2009-01-27 04:23:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 10 Philip M. Gollucci freebsd_committer 2009-01-27 19:57:53 UTC
=> Attempting to fetch from http://musicpd.org/uploads/files/.
fetch: http://musicpd.org/uploads/files/mpd-0.14.tar.bz2: Not Found
=> Attempting to fetch from http://redundancy.redundancy.org/mirror/.
fetch: http://redundancy.redundancy.org/mirror/mpd-0.14.tar.bz2: Not Found
=> Attempting to fetch from ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/.
fetch: ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/mpd-0.14.tar.bz2: File unavailable (e.g., file not found, no access)
=> Couldn't fetch it - please try to retrieve this
=> port manually into /tmp/distfiles/ and try again.
*** Error code 1
Comment 11 Philip M. Gollucci freebsd_committer 2009-01-27 19:58:45 UTC
State Changed
From-To: open->feedback

Does not fetch
Comment 12 Dylan Cochran 2009-01-27 20:09:35 UTC
On 1/27/09, Philip M. Gollucci <pgollucci@freebsd.org> wrote:
> => Attempting to fetch from http://musicpd.org/uploads/files/.
> fetch: http://musicpd.org/uploads/files/mpd-0.14.tar.bz2: Not Found
> => Attempting to fetch from http://redundancy.redundancy.org/mirror/.
> fetch: http://redundancy.redundancy.org/mirror/mpd-0.14.tar.bz2: Not Found
> => Attempting to fetch from
> ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/.
> fetch: ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/mpd-0.14.tar.bz2:
> File unavailable (e.g., file not found, no access)
> => Couldn't fetch it - please try to retrieve this
> => port manually into /tmp/distfiles/ and try again.
> *** Error code 1
>
>
>

It moved to sourceforge, updated patch attached.
Comment 13 Philip M. Gollucci freebsd_committer 2009-01-28 04:12:40 UTC
State Changed
From-To: feedback->open

feedback received
Comment 14 dfilter service freebsd_committer 2009-01-28 05:31:02 UTC
pgollucci    2009-01-28 05:30:47 UTC

  FreeBSD ports repository

  Modified files:
    audio/musicpd        Makefile distinfo pkg-plist 
  Log:
  - Update to 0.14
  
  PR:             ports/130612
  Submitted by:   Dylan Cochran <a134qaed@gmail.com>
  Approved by:    Jan-Olof Lindqvist <jo.lindqvist@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.40      +17 -9     ports/audio/musicpd/Makefile
  1.19      +3 -3      ports/audio/musicpd/distinfo
  1.5       +4 -1      ports/audio/musicpd/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 Philip M. Gollucci freebsd_committer 2009-01-28 05:31:04 UTC
State Changed
From-To: open->closed

Committed. Thanks!